com.trendmicro.ds.integrity.rest.object

## Class Attribute

- java.lang.Object
- - com.trendmicro.ds.integrity.rest.object.Attribute

-     public class Attribute
      extends java.lang.Object

  Author:
    marty_tsai

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFriendlyValue()` Gets the friendlyValue value from this Attribute.
    `java.lang.String` | `getName()` Gets the name value from this Attribute.
    `java.lang.String` | `getValue()` Gets the value from this Attribute.
    `void` | `setFriendlyValue(java.lang.String friendlyValue)` Sets the friendlyValue value to this Attribute.
    `void` | `setName(java.lang.String name)` Set the name value to the this Attribute.
    `void` | `setValue(java.lang.String value)` Set the value to the this Attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### getFriendlyValue

          public java.lang.String getFriendlyValue()

      Gets the friendlyValue value from this Attribute.
      Returns:
        friendlyValue

    - #### setFriendlyValue

          public void setFriendlyValue(java.lang.String friendlyValue)

      Sets the friendlyValue value to this Attribute.
      Parameters:
        `friendlyValue` -

    - #### getName

          public java.lang.String getName()

      Gets the name value from this Attribute.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Set the name value to the this Attribute.
      Parameters:
        `name` -

    - #### getValue

          public java.lang.String getValue()

      Gets the value from this Attribute.
      Returns:
        value

    - #### setValue

          public void setValue(java.lang.String value)

      Set the value to the this Attribute.
      Parameters:
        `value` -

Copyright © 2017 Trend Micro Inc. All Rights Reserved.